Case Professional/Controllers/OrganisationController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Case_Professional.Models;
using Case_Professional.Services;

namespace Case_Professional.Controllers
{
    [Authorize(Roles = "Admin")]
    public class OrganisationController : Controller
    {
        
        private readonly IApplicationDbContext _db;

        public OrganisationController()
        {
            _db = new ApplicationDbContext();
        }

        public OrganisationController(IApplicationDbContext dbContext)
        {
            _db = dbContext;
        }

        //
        // GET: /Organisation/
        public ActionResult Index()
        {
            return View(_db.Organisations);
        }

        //
        // GET: /Organisation/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        //
        // GET: /Organisation/Create
        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Organisation/Create
        [HttpPost]
        public ActionResult Create(Organisation organisation)
        {
            organisation.AddedOn = DateTime.UtcNow;
            organisation.UpdatedOn = DateTime.UtcNow;
            try
            {
                _db.Organisations.Add(organisation);
                _db.SaveChanges();

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Organisation/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        //
        // POST: /Organisation/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Organisation/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        //
        // POST: /Organisation/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        public ActionResult ResetLicenseKey(int id)
        {
            new OrganisationService(_db)
                .ResetOrganisationLicenseKey(id);
            return Content(_db.Organisations.Find(id).LicenseKey);
        }
    }
}

Case Professional/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")

</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", null, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Home", "Index", "Home")</li>
                    @*<li>@Html.ActionLink("About", "About", "Home")</li>*@
                    @*<li>@Html.ActionLink("Contact", "Contact", "Home")</li>*@
                    @if (Request.IsAuthenticated && User.IsInRole("Admin"))
                    {
                        <li @@class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" 
                               role="button" aria-haspopup="true" aria-expanded="False">Organisations <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li>@Html.ActionLink("List", "Index", "Organisation")</li>
                                <li>@Html.ActionLink("Create", "Create", "Organisation")</li>
                            </ul>
                        </li>
                    }
                </ul>
                @Html.Partial("_LoginPartial")
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>